Bug 1302388 - [RFE] Support for caching-only content Capsules
[RFE] Support for caching-only content Capsules
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp (Show other bugs)
6.1.5
Unspecified Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks: 1148370
  Show dependency treegraph
 
Reported: 2016-01-27 12:03 EST by Rich Jerrido
Modified: 2018-05-17 01:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 1589 Normal NEW As a user, I would like to set a download policy of "proxy-only" for lazy repos. 2016-11-21 13:55 EST

  None (edit)
Description Rich Jerrido 2016-01-27 12:03:02 EST
Description of problem:

As a user of Satellite 6, I would like the ability to have a 'lightweight' version of the Satellite capsule. I have remote sites with limited resources and little disk space. I'd like to deploy a capsule there with all the other features (DNS, DHCP, TFTP, Templates, etc) BUT proxy all content related items (RPMs, etc) back to the Satellite itself.
Comment 3 Bryan Kearney 2016-07-26 15:05:53 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Brad Buckingham 2016-11-21 12:06:21 EST
Created redmine issue http://projects.theforeman.org/issues/17421 from this bug
Comment 5 pulp-infra@redhat.com 2016-11-21 13:55:41 EST
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.
Comment 6 pulp-infra@redhat.com 2016-11-21 13:55:44 EST
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.
Comment 11 Eric Helms 2017-02-07 13:26:22 EST
For this idea of "lightweight", do you mean:

 a) lightweight storage (no RPMs/content stored on the Capsule)
 b) lightweight software (no Pulp/mongodb running on the Capsule)
 c) both
Comment 13 Rich Jerrido 2017-02-08 06:24:43 EST
(In reply to Eric Helms from comment #11)
> For this idea of "lightweight", do you mean:
> 
>  a) lightweight storage (no RPMs/content stored on the Capsule)
>  b) lightweight software (no Pulp/mongodb running on the Capsule)
>  c) both

In a perfect world c) both (since that is one less service to manage, one less DB to backup, etc), but at a minimum a). 

Especially if a) is a new download policy in Pulp. Then the user can switch to/from any other policy (such as immediate or on-demand) to proxy-only.

Note You need to log in before you can comment on or make changes to this bug.